# Class MultiSelect

A multi select widget with standard styling.

## Index

### Methods

- build
- getElement
- getUnselectedValues
- getValue
- reset
- setValue

### Constructors

- constructor

## Methods

### build

- build(): HTMLElement

- - Defined in ui/FormWidgets/MultiSelect.ts :40

  Gets the element on which the multi select is bound.

  #### Returns HTMLElement

  The multi select element.

### getElement

- getElement(): HTMLElement

- - Defined in ui/FormWidgets/MultiSelect.ts :48

  Gets the element on which the multi select is bound.

  #### Returns HTMLElement

  The multi select element.

### getUnselectedValues

- getUnselectedValues(): string[]

- - Defined in ui/FormWidgets/MultiSelect.ts :68

  Gets the currently un-selected values.

  #### Returns string[]

  The array of un-selected multi select values.

### getValue

- getValue(): string[]

- - Defined in ui/FormWidgets/MultiSelect.ts :56

  Gets the currently selected values.

  #### Returns string[]

  The array of selected multi select values.

### reset

- reset(): void

- - Defined in ui/FormWidgets/MultiSelect.ts :107

  Resets the multi select.

  #### Returns void

### setValue

- setValue(values: string[]): void

- - Defined in ui/FormWidgets/MultiSelect.ts :80

  Sets the currently selected values.

  #### Parameters

  - ##### values: string[]

    The values to select.

  #### Returns void

## Constructors

### constructor

- new MultiSelect(onChange?: function, options: string[], label: string): MultiSelect

- - Defined in ui/FormWidgets/MultiSelect.ts :19

  Creates a new `MultiSelect`.

  #### Parameters

  - ##### Default value onChange: function = (multiSelect: MultiSelect) => {}

    The function to call when the widget selected values change. This function takes the current `MultiSelect` instance as an argument.

    - - (multiSelect: MultiSelect): void

      - #### Parameters

        - ##### multiSelect: MultiSelect

        #### Returns void

  - ##### options: string[]

    The values which can be selected with the multi select.

  - ##### label: string

    The label to display for the multi select.

  #### Returns MultiSelect

### Hierarchy

- MultiSelect

### Implements

- IFormWidget
- IFormWidgetSettable